
Redmine - Defect #2834

'admin' unable to change issue status on new install (0.8.1 and r2521)

2009-02-24 22:58 - John Dell

Status: Closed Start date: 2009-02-24

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Permissions and roles Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 0.8.1

Description

I made a new install of redmine and was demo'ing features to colleague and noticed that with the default 'admin' user, you can't

change issue status (either via right-click or in edit issue form).  If you create a new user, you can change status without issue.

Apparently, /models/issue_status.rb#find_new_statuses_allowed_to logic doesn't work for admin (should just return all statuses

whenever that method is hit by admin rather than collecting statuses via workflows)

I would advocate using 'admin' for regular use, but for demo, this made redmine look bad when admin superuser couldn't change

status.

Related issues:

Related to Redmine - Feature #2323: Workflow permissions for administrators Closed 2008-12-12

History

#1 - 2009-02-24 23:00 - John Dell

John Dell wrote:

I made a new install of redmine and was demo'ing features to colleague and noticed that with the default 'admin' user, you can't change issue

status (either via right-click or in edit issue form).  If you create a new user, you can change status without issue.

Apparently, /models/issue_status.rb#find_new_statuses_allowed_to logic doesn't work for admin (should just return all statuses whenever that

method is hit by admin rather than collecting statuses via workflows)

I would advocate using 'admin' for regular use, but for demo, this made redmine look bad when admin superuser couldn't change status.

 Meant to say I would not advocate using 'admin' for regular use.

#2 - 2009-02-25 10:19 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

See #2323.
